Subject: bug#19702: 25.0.50; Tramp with ssh not working with openssh 6.7 while worked with 6.6

From: Michael Albinus <[email-masked]>
Date: Mon, 02 Feb 2015 16:16:27 +0100

Filipp Gunbin <[email-masked]> writes:

> Michael,

Hi Filipp,

>> I have committed a patch to the emacs-24 branch which uses %C in
>> ControlPath if possible. Could you, pls, check? I have no openssh 6.7
>> installed, so I cannot test myself.
>
> Thanks, but it didn't work:
>
> 17:02:55.588956 tramp-send-command (6) # exec ssh -l root -o
> ControlMaster=auto -o
> ControlPath=/var/folders/yb/0cdss5q52d1848_2th2kp_740000gn/T/tramp.54213PO4.%C
> -o ControlPersist=no -e none <myhost>

Is the ControlPath still too long? What happens, if you call the command
directly in the shell?

# ssh -l root -o ControlMaster=auto -o ControlPath=/var/folders/yb/0cdss5q52d1848_2th2kp_740000gn/T/tramp.54213PO4.%C -o ControlPersist=no -e none <myhost>

And what happens if you call

# ssh -l root -o ControlMaster=auto -o ControlPath=tramp.54213PO4.%C -o ControlPersist=no -e none <myhost>

> Aren't values produced by %C supposed to be unique?  Then probably the
> temporary file isn't needed.

No, they are unique for the triple (user, host, port) only. This triple
could be used also outside Emacs for an ssh connection.

> Filipp

Best regards, Michael.